summaryrefslogtreecommitdiff
path: root/git-reset.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-29 01:54:54 -0700
committerJunio C Hamano <junkio@cox.net>2006-07-29 01:54:54 -0700
commit7061cf0f205e86613c3a3306fdfedf2a5dcc8a65 (patch)
treee0595e44fc820032fd5ee942a031439f2e6da3b1 /git-reset.sh
parentac64a722072bb348476a8a029de9a82073e07fba (diff)
parenta633fca0c056aa221d23493c276d3713191621b3 (diff)
downloadgit-7061cf0f205e86613c3a3306fdfedf2a5dcc8a65.tar.xz
Merge branch 'lt/setup' into __/setup-n-mv
This merges the new built-in calling convention code into Johannes's builtin-mv topic in order to resolve their conflicts early on. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-reset.sh')
-rwxr-xr-xgit-reset.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/git-reset.sh b/git-reset.sh
index 5c0224090a..36fc8ce25b 100755
--- a/git-reset.sh
+++ b/git-reset.sh
@@ -52,7 +52,8 @@ then
else
rm -f "$GIT_DIR/ORIG_HEAD"
fi
-git-update-ref -m "reset $reset_type $@" HEAD "$rev"
+git-update-ref -m "reset $reset_type $*" HEAD "$rev"
+update_ref_status=$?
case "$reset_type" in
--hard )
@@ -66,3 +67,5 @@ case "$reset_type" in
esac
rm -f "$GIT_DIR/MERGE_HEAD" "$GIT_DIR/rr-cache/MERGE_RR" "$GIT_DIR/SQUASH_MSG"
+
+exit $update_ref_status